aboutsummaryrefslogtreecommitdiffstats
path: root/run-upgrade-tests.sh
diff options
context:
space:
mode:
authorSimon Brandhof <simon.brandhof@sonarsource.com>2016-03-02 17:49:10 +0100
committerSimon Brandhof <simon.brandhof@sonarsource.com>2016-03-08 21:15:37 +0100
commit16264d1be3af1f8b5709a1811c4b4e58bc22762e (patch)
tree3c28735bd0e80dbcae7e1e899b0a6eb7e76cfc92 /run-upgrade-tests.sh
parente2bf4b506020297b7bda20d320bf4b61a4315825 (diff)
downloadsonarqube-16264d1be3af1f8b5709a1811c4b4e58bc22762e.tar.gz
sonarqube-16264d1be3af1f8b5709a1811c4b4e58bc22762e.zip
Enable upgrade tests on QA env
Diffstat (limited to 'run-upgrade-tests.sh')
-rwxr-xr-xrun-upgrade-tests.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/run-upgrade-tests.sh b/run-upgrade-tests.sh
new file mode 100755
index 00000000000..517f52960f4
--- /dev/null
+++ b/run-upgrade-tests.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Run upgrade tests. SonarQube must be already built in order to
+# make the ZIP file available for tests.
+
+# Arguments:
+# 1. the path to Orchestrator properties file. If empty, then default values are used. Example: "file:///Users/me/orchestrator.properties"
+#
+# Example:
+# ./run-upgrade-tests.sh "Category1" "file:///Users/me/orchestrator-mysql56.properties"
+
+set -euo pipefail
+
+ORCHESTRATOR_CONFIG_URL=$1
+shift 1
+
+cd tests/upgrade
+mvn verify \
+ -Pwith-db-drivers \
+ -Dorchestrator.configUrl=$ORCHESTRATOR_CONFIG_URL \
+ -B -e -V $*